%define content design-installer
%define theme Sisyphus
%define pkgtheme sisyphus
%define priority 5

Name: %content-%pkgtheme
Version: 0.1.1
Release: alt1

Group: Graphical desktop/Other
Summary: Installer %theme design
Url: http://www.altlinux.ru
License: GPL
BuildArch: noarch

PreReq: alternatives >= 0.2
Provides: %content = %version-%release
Provides: %content-%theme = %version-%release
Conflicts: install2-gui-common

Source: %name-%version.tar.gz

BuildRequires: libalternatives-devel

%description
Installer %theme design

%prep
%setup -q

%build

%install
%__mkdir_p -m 0755 %buildroot/%_datadir/installer/design/%theme
%__install -m 0644 *.png %buildroot/%_datadir/installer/design/%theme
%__install -m 0644 qtrc %buildroot/%_datadir/installer/design/%theme

# install alternative
%__mkdir_p -m 0755 %buildroot/%_altdir
cat >%buildroot/%_altdir/%name <<__EOF__
%_datadir/installer/design/current	%_datadir/installer/design/%theme	%priority
__EOF__

%post
%post_register_alternatives %name -- %name
%update_alternatives
%preun
%preun_unregister_alternatives %name

%files
%config %_altdir/%name
%dir %_datadir/installer/design
%_datadir/installer/design/%theme

%changelog
* Mon Jul 04 2005 Sergey V Turchin <zerg at altlinux dot org> 0.1.1-alt1
- new step stape pictures
- make package noarch

* Wed Jun 29 2005 Sergey V Turchin <zerg at altlinux dot org> 0.1.0-alt1
- initial spec
- get graphics from upcoming Compact
